1 Reply Latest reply on Sep 19, 2013 11:33 PM by Mike M

    I have a Mac. OS 10.5.8 (64-bit), Safari 5.0.6, Flash Player version  10.3.183.90

    nunya84a

         Hello, I have a Mac. OS 10.5.8 (64-bit), Safari 5.0.6, Flash Player version  10.3.183.90.  I keep getting error messages saying that I need update my Flash Player, But I can't.  What can I do???